ParameterControllerGetParameterValueText Method |
POST /Parameter/GetParameterValueText/
Gets a string representation of the given parameter value.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetParameterValueText")]
public IActionResult GetParameterValueText(
[FromBodyAttribute] GetParameterValueTextOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetParameterValueText")>
Public Function GetParameterValueText (
<FromBodyAttribute> options As GetParameterValueTextOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetParameterValueText")]
IActionResult^ GetParameterValueText(
[FromBodyAttribute] GetParameterValueTextOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetParameterValueText")>]
member GetParameterValueText :
[<FromBodyAttribute>] options : GetParameterValueTextOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetParameterValueTextOptions
The options for getting this ParameterValue's text. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
String representation of the value or a status code indicating the problem.
See Also